Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Shutdown_Task_Command Class Reference

`#include <EC_Dispatching_Task.h>`

Inheritance diagram for TAO_EC_Shutdown_Task_Command:

[legend]
Collaboration diagram for TAO_EC_Shutdown_Task_Command:

[legend]
List of all members.

## Public Methods
| TAO_EC_Shutdown_Task_Command (ACE_Allocator *mb_allocator=0)
| Constructor.
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
| Command callback.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Shutdown_Task_Command::TAO_EC_Shutdown_Task_Command | ( | ACE_Allocator * | mb_allocator = 0 | ) |

| Constructor.

## Member Function Documentation

int TAO_EC_Shutdown_Task_Command::execute | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | `[virtual]`

| Command callback. Implements TAO_EC_Dispatch_Command.

The documentation for this class was generated from the following files:

- EC_Dispatching_Task.h
- EC_Dispatching_Task.cpp
- EC_Dispatching_Task.i